ros-rolling-tf2-eigen-kdl (0.45.6-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 08 Jan 2026 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.45.5-2noble) noble; urgency=high

  * Modernize conf.py files to only include modified Copyright, eliminati… (#865 <https://github.com/ros2/geometry2/issues/865>)
  * Contributors: R Kent James

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 15 Dec 2025 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.45.4-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 27 Nov 2025 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.45.3-2noble) noble; urgency=high

  * Disable TAGFILES in rosdoc2 to separate namespace tf2 documentation into packages (#856 <https://github.com/ros2/geometry2/issues/856>)
  * Cleanup mislabeled BSD license (#855 <https://github.com/ros2/geometry2/issues/855>)
  * Contributors: Alejandro Hernández Cordero, R Kent James

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 23 Nov 2025 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.45.2-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 06 Nov 2025 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.45.1-2noble) noble; urgency=high

  * Removed orocos kdl vendor dependency (#826 <https://github.com/ros2/geometry2/issues/826>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 16 Oct 2025 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.45.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 Aug 2025 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.44.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Jul 2025 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.43.1-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 17 Jul 2025 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.43.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 30 Jun 2025 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.42.2-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 18 Jun 2025 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.42.1-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 May 2025 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.42.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 24 Apr 2025 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.41.0-2noble) noble; urgency=high

  * Uniform cmake min version (#764 <https://github.com/ros2/geometry2/issues/764>)
  * Contributors: mosfet80

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 24 Apr 2025 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.40.1-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 14 Jan 2025 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.40.0-2noble) noble; urgency=high

  * Deprecate C Headers (#720 <https://github.com/ros2/geometry2/issues/720>)
  * Contributors: Lucas Wendland

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 19 Dec 2024 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.39.3-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 24 Nov 2024 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.39.2-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 19 Nov 2024 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.39.1-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 14 Oct 2024 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.39.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Oct 2024 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.38.2-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Jul 2024 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.38.1-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 08 Jul 2024 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.38.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 16 Jun 2024 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.37.1-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 28 May 2024 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.37.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 25 Apr 2024 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.36.2-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 09 Apr 2024 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.36.1-2noble) noble; urgency=high

  * Fix installation directory of .dll files in tf2_eigen_kdl (#657 <https://github.com/ros2/geometry2/issues/657>)
  * Contributors: Silvio Traversaro

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 27 Mar 2024 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.36.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 06 Feb 2024 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.35.1-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.35.0-2noble) noble; urgency=high

  * Remove unnecessary use of ament_target_dependencies. (#637 <https://github.com/ros2/geometry2/issues/637>)
    We can just use target_link_libraries instead.
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.34.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 05 Nov 2023 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.33.2-2noble) noble; urgency=high

  * Fix clang build warnings. (#628 <https://github.com/ros2/geometry2/issues/628>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 03 Oct 2023 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.33.1-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 06 Sep 2023 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.33.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.32.2-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.32.1-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 10 May 2023 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.32.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 Apr 2023 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.31.2-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 12 Apr 2023 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.31.1-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.31.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.30.0-2noble) noble; urgency=high

  * Update geometry2 to C++17 (#584 <https://github.com/ros2/geometry2/issues/584>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.29.0-2noble) noble; urgency=high

  * Update maintainers (#560 <https://github.com/ros2/geometry2/issues/560>)
  * Contributors: Audrow Nash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 20 Nov 2022 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.28.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.27.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.26.2-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 14 Aug 2022 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.26.1-2noble) noble; urgency=high

  * Use orocos_kdl_vendor and orocos-kdl target (#534 <https://github.com/ros2/geometry2/issues/534>)
  * Contributors: Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 23 Jun 2022 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.26.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.25.0-2noble) noble; urgency=high

  * Fix more instances of Eigen problems on RHEL. (#515 <https://github.com/ros2/geometry2/issues/515>)
  * Depend on orocos_kdl_vendor  (#473 <https://github.com/ros2/geometry2/issues/473>)
  * Install includes to include/${PROJECT_NAME} and use modern CMake (#493 <https://github.com/ros2/geometry2/issues/493>)
  * Contributors: Chris Lalancette, Jacob Perron, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 04 Apr 2022 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.24.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 30 Mar 2022 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.23.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 27 Mar 2022 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.22.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.21.0-2noble) noble; urgency=high

  * Fix cpplint errors (#497 <https://github.com/ros2/geometry2/issues/497>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.20.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 16 Dec 2021 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.19.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 14 Oct 2021 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.18.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 31 May 2021 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.17.1-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.17.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Mar 2021 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.16.0-2noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.15.1-2noble) noble; urgency=high

  * fix order of find eigen3_cmake_module & find eigen3 (#344 <https://github.com/ros2/geometry2/issues/344>)
  * Contributors: Ahmed Sobhy

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 07 Dec 2020 23:00:00 -0000

ros-rolling-tf2-eigen-kdl (0.15.0-2noble) noble; urgency=high

  * Update package.xml (#333 <https://github.com/ros2/geometry2/issues/333>)
  * Port eigen_kdl.h/cpp to ROS2 (#311 <https://github.com/ros2/geometry2/issues/311>)
  * Contributors: Jafar Abdi

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 01 Nov 2020 23:00:00 -0000


